module Dwg_723832 (
       input
         True_36D6, Comp_36D6,
         A_Reg_1,     A_Reg_2,     A_Reg_4,     A_Reg_8,
         A_Reg_Not_1, A_Reg_Not_2, A_Reg_Not_4, A_Reg_Not_8,
         A_Reg_1_From_Calc_43D5, A_Reg_Not_1_From_Calc_43D3,
         A_Reg_Q0_From_Calc_43D5, A_Reg_Q2_From_Calc_43C5,
         A_Reg_Q4_From_Calc_43C4, A_Reg_Q6_From_Calc_43C4,
         A_Reg_Q8_From_Calc_43C3,
         B_Reg_1,     B_Reg_2,     B_Reg_4,     B_Reg_8,
         B_Reg_Not_1, B_Reg_Not_2, B_Reg_Not_4, B_Reg_Not_8,
         Carry, Not_Carry_38D4,
       output
         A_Reg_Q0_43A6, A_Reg_Q2_43A4, A_Reg_Q4_43A5,
         A_Reg_Q6_43A4, A_Reg_Q8_43A3,
         Adder_B0_120D4_38B3_44A6, Adder_B1_38C3,
         Binary_Carry_38A2, Not_Binary_Carry_38A1,
         Q0_Carry_38A3, Q0_Not_Carry_38A3,
         Q2_Carry_38A2, Q2_Not_Carry_38A2,
         Q4_Carry_38A3, Q4_Not_Carry_38A3,
         Q6_Carry_38A2, Q8_Not_Carry_38A2,
         Q8_Not_Carry_38A1 ) ;

  // Fig 37, Drawing 723832
  wire A_Reg_Q0_TC, A_Reg_Q2_TC, A_Reg_Q4_TC,
       A_Reg_Q6_TC, A_Reg_Q8_TC,
       B_Reg_Q0, B_Reg_Q2, B_Reg_Q4,
       B_Reg_Q6, B_Reg_Q8,
       A_Reg_B0_TC, A_Reg_B1_TC ;

  Reg_Translator T_B ( B_Reg_1,     B_Reg_2,     B_Reg_4,     B_Reg_8,
                       B_Reg_Not_1, B_Reg_Not_2, B_Reg_Not_4, B_Reg_Not_8,
                       , , , , ,
                       B_Reg_Q0, B_Reg_Q2, B_Reg_Q4, B_Reg_Q6, B_Reg_Q8 ) ;

  Binary_Adder BA ( Carry, Not_Carry_38D4,
                    A_Reg_B0_TC, A_Reg_B1_TC,
                    B_Reg_1, B_Reg_Not_1,
                    Adder_B0_120D4_38B3_44A6, Adder_B1_38C3,
                    Binary_Carry_38A2, Not_Binary_Carry_38A1 ) ;

  A_Reg_True_Complement ATC ( True_36D6, Comp_36D6,
                     A_Reg_1_From_Calc_43D5, A_Reg_Not_1_From_Calc_43D3,
                     A_Reg_1,     A_Reg_2,     A_Reg_4,     A_Reg_8,
                     A_Reg_Not_1, A_Reg_Not_2, A_Reg_Not_4, A_Reg_Not_8,
                     A_Reg_Q0_From_Calc_43D5, A_Reg_Q2_From_Calc_43C5,
                     A_Reg_Q4_From_Calc_43C4, A_Reg_Q6_From_Calc_43C4,
                     A_Reg_Q8_From_Calc_43C3,
                     A_Reg_B0_TC, A_Reg_B1_TC,
                     A_Reg_Q0_43A6, A_Reg_Q2_43A4, A_Reg_Q4_43A5,
                     A_Reg_Q6_43A4, A_Reg_Q8_43A3,
                     A_Reg_Q0_TC, A_Reg_Q2_TC, A_Reg_Q4_TC,
                     A_Reg_Q6_TC, A_Reg_Q8_TC ) ;

  Quinary_Adder QA ( A_Reg_Q0_TC, A_Reg_Q2_TC, A_Reg_Q4_TC,
                     A_Reg_Q6_TC, A_Reg_Q8_TC,
                     B_Reg_Q0, B_Reg_Q2, B_Reg_Q4,
                     B_Reg_Q6, B_Reg_Q8,
                     Q0_Carry_38A3, Q0_Not_Carry_38A3,
                     Q2_Carry_38A2, Q2_Not_Carry_38A2,
                     Q4_Carry_38A3, Q4_Not_Carry_38A3,
                     Q6_Carry_38A2, Q8_Not_Carry_38A2,
                     Q8_Not_Carry_38A1 ) ;

endmodule
