module Quinary_Adder ( A_Reg_Q0, A_Reg_Q2, A_Reg_Q4, A_Reg_Q6, A_Reg_Q8,
                       B_Reg_Q0, B_Reg_Q2, B_Reg_Q4, B_Reg_Q6, B_Reg_Q8,
                       Q0_Not_Carry, Q0_Carry, Q2_Not_Carry, Q2_Carry, 
                       Q4_Not_Carry, Q4_Carry, Q6_Not_Carry, Q6_Carry, 
                       Q8_Not_Carry );

// Fig 37, Drawing 723832

  input    A_Reg_Q0, A_Reg_Q2, A_Reg_Q4, A_Reg_Q6, A_Reg_Q8,
           B_Reg_Q0, B_Reg_Q2, B_Reg_Q4, B_Reg_Q6, B_Reg_Q8;

  output   Q0_Not_Carry, Q0_Carry, Q2_Not_Carry, Q2_Carry, 
           Q4_Not_Carry, Q4_Carry, Q6_Not_Carry, Q6_Carry, 
           Q8_Not_Carry;

  assign Q0_Not_Carry = A_Reg_Q0 & B_Reg_Q0;

  assign Q0_Carry     = ( A_Reg_Q2 & B_Reg_Q8 ) |
                        ( A_Reg_Q4 & B_Reg_Q6 ) |
                        ( A_Reg_Q6 & B_Reg_Q4 ) |
                        ( A_Reg_Q8 & B_Reg_Q2 );

  assign Q2_Not_Carry = ( A_Reg_Q0 & B_Reg_Q2 ) |
                        ( A_Reg_Q2 & B_Reg_Q0 );

  assign Q2_Carry     = ( A_Reg_Q4 & B_Reg_Q8 ) |
                        ( A_Reg_Q6 & B_Reg_Q6 ) |
                        ( A_Reg_Q6 & B_Reg_Q4 );

  assign Q4_Not_Carry = ( A_Reg_Q0 & B_Reg_Q4 ) |
                        ( A_Reg_Q2 & B_Reg_Q2 ) |
                        ( A_Reg_Q4 & B_Reg_Q0 );


  assign Q4_Carry     = ( A_Reg_Q6 & B_Reg_Q8 ) |
                        ( A_Reg_Q8 & B_Reg_Q6 );

  assign Q6_Not_Carry = ( A_Reg_Q0 & B_Reg_Q6 ) |
                        ( A_Reg_Q2 & B_Reg_Q4 ) |
                        ( A_Reg_Q4 & B_Reg_Q2 ) |
                        ( A_Reg_Q6 & B_Reg_Q0 );

  assign Q6_Carry     = A_Reg_Q8 & B_Reg_Q0;

  assign Q8_Not_Carry = ( A_Reg_Q0 & B_Reg_Q8 ) |
                        ( A_Reg_Q2 & B_Reg_Q6 ) |
                        ( A_Reg_Q4 & B_Reg_Q4 ) |
                        ( A_Reg_Q8 & B_Reg_Q2 ) |
                        ( A_Reg_Q8 & B_Reg_Q0 );

endmodule
