module Reg_Translator (
       input 
         Reg_1, Reg_2, Reg_4, Reg_8,
         Reg_Not_1, Reg_Not_2, Reg_Not_4, Reg_Not_8,
         Reg_Q0_Calc, Reg_Q2_Calc, Reg_Q4_Calc, Reg_Q6_Calc, Reg_Q8_Calc,
       output
         Reg_Q0, Reg_Q2, Reg_Q4, Reg_Q6, Reg_Q8 );

// Fig 37, Drawing 723832

// Translate 8-4-2-1 to quinary Q8-Q6-Q4-Q2-Q0.

  assign Reg_Q0 =   Reg_Not_1 & Reg_2 & Reg_Not_4 & Reg_8
                  | Reg_Not_2 & Reg_Not_4 & Reg_Not_8
                  | Reg_Q0_Calc ;

  assign Reg_Q2 =   Reg_2 & Reg_Not_4 & Reg_Not_8
                  | Reg_1 & Reg_2 & Reg_Not_4
                  | Reg_Q2_Calc ;

  assign Reg_Q4 =   Reg_4 & Reg_Not_2
                  | Reg_Q4_Calc ;

  assign Reg_Q6 =   Reg_2 & Reg_4
                  | Reg_Q6_Calc ;

  assign Reg_Q8 =   Reg_Not_2 & Reg_Not_4 & Reg_8
                  | Reg_Q8_Calc;

endmodule
